summaryrefslogtreecommitdiffstats
path: root/bin/hush/vscreen
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2020-08-01 00:28:48 -0400
committerJesse Luehrs <doy@tozt.net>2020-08-01 00:28:48 -0400
commit078e1c69b836ab2c4c671488764da78750c3c02f (patch)
tree22159bf415e4d8eb75800fe459fae4386c98d03a /bin/hush/vscreen
parentd3386cd884d5b54b70afbe0513796439eb33674e (diff)
downloadconf-078e1c69b836ab2c4c671488764da78750c3c02f.tar.gz
conf-078e1c69b836ab2c4c671488764da78750c3c02f.zip
add scripts to switch a workspace between a virtual screen
this keeps it rendering even while offscreen so obs works correctly
Diffstat (limited to 'bin/hush/vscreen')
-rwxr-xr-xbin/hush/vscreen17
1 files changed, 17 insertions, 0 deletions
diff --git a/bin/hush/vscreen b/bin/hush/vscreen
new file mode 100755
index 0000000..d39b389
--- /dev/null
+++ b/bin/hush/vscreen
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+
+case "$1" in
+ goto)
+ xrandr --addmode VIRTUAL1 1920x1080
+ xrandr --output VIRTUAL1 --auto --output eDP1 --auto --left-of VIRTUAL1
+ i3-switch-workspace virtual
+ ;;
+ off)
+ xrandr --output VIRTUAL1 --off
+ ;;
+ *)
+ echo "bad subcommand $1" >&2
+ exit 1
+ ;;
+esac